/*
 * その他のルーチン
 * 湊大典 2008
 */


#ifndef MINATO_EXTRA_H
#define MINATO_EXTRA_H

#ifndef BOOL
#define BOOL int
#endif

#define TRUE 1
#define FALSE 0

#define ALLOC                   // freeが必要なメモリを返す
#define SPACE                   // 十分なスペースが必要な場合
#define MANAGED                 // フリーされるメモリ

#define P(F, O) { FILE* fp = fopen(F, "a"); fprintf(fp, O); fprintf(fp, "\n"); fclose(fp); }

void mygetcwd(SPACE char* result);                  // cwdを返す
void parentname(SPACE char* result, char* path);    // 親ディレクトリを返す
void extname(SPACE char* result, char* name);       // 拡張子を返す
void noextname(SPACE char* result, char* name);     // 拡張子以外のファイル名を返す

char* mystrcasestr(const char *haystack, const char *needle); // 部分文字列を返す
void mystrtolower(char* result);           // 文字列を小文字にする

int correct_path(char* current_path, char* path, char* path2);

#endif

